This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 1167 - Use CMake INSTALL(DIRECTORY ... ) instead of manual, recursive INSTALL(FILES ...)
Summary: Use CMake INSTALL(DIRECTORY ... ) instead of manual, recursive INSTALL(FILES ...
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Core - general (show other bugs)
Version: 3.3 (current stable)
Hardware: All All
: Normal Internal Design
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-15 14:44 UTC by Christoph Hertzberg
Modified: 2019-12-04 15:26 UTC (History)
4 users (show)



Attachments

Description Christoph Hertzberg 2016-02-15 14:44:39 UTC
Installation of the Eigen source tree is currently done manually/recursively instead of by using the CMake feature INSTALL(DIRECTORY ...)
Is there a (historic) reason for that? It seems this is supported at least since CMake 2.6?
Comment 1 Gael Guennebaud 2016-02-15 20:50:30 UTC
Good point, I don't see any reason to motivate the current state, except that the feature was probably missing when we started. So I'm OK to simplify that. This simplified solution is also more future proof.
Comment 2 Gael Guennebaud 2016-08-29 09:02:39 UTC
https://bitbucket.org/eigen/eigen/commits/289a5c2d13d4/
Comment 3 Nobody 2019-12-04 15:26:24 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1167.

Note You need to log in before you can comment on or make changes to this bug.